Skip to main content

Update Resident: Rent Manager

PUThttps://api.propexo.com/v1/residents/rentmanager/:resident_id
Method
POST /Tenants

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

resident_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    last_namestringrequired

    The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object

    rent_periodstringrequired

    How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.

    Show 3 enum values
    MONTHLYWEEKLYDAILY
    rent_due_dayintegerrequired

    Day of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object

    Possible values: >= 1 and <= 31

    first_namestring

    The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object

    middle_namestring

    The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object

    email_1string<email>

    The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object

    date_of_birthstring<date-time>

    The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.

    address_1string

    Street address for the resident. This maps to the Street property of the primary address of the Tenant object

    citystring

    City of the resident's primary address

    statestring

    State of the resident's primary address

    zipstring

    Zip/Postal Code of the resident's primary address

    address_1_alternatestring

    Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object

    city_alternatestring

    City of the resident's secondary/alternate address

    state_alternatestring

    State of the resident's secondary/alternate address

    zip_alternatestring

    Zip/Postal Code of the resident's secondary/alternate address

    notesstring

    Notes associated with the resident

    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    resident_idstringrequired

    The Propexo unique identifier for the resident

    last_namestringrequired

    The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object

    rent_periodstringrequired

    How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.

    Show 3 enum values
    MONTHLYWEEKLYDAILY
    rent_due_dayintegerrequired

    Day of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object

    Possible values: >= 1 and <= 31

    first_namestring

    The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object

    middle_namestring

    The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object

    email_1string<email>

    The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object

    date_of_birthstring<date-time>

    The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.

    address_1string

    Street address for the resident. This maps to the Street property of the primary address of the Tenant object

    citystring

    City of the resident's primary address

    statestring

    State of the resident's primary address

    zipstring

    Zip/Postal Code of the resident's primary address

    address_1_alternatestring

    Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object

    city_alternatestring

    City of the resident's secondary/alternate address

    state_alternatestring

    State of the resident's secondary/alternate address

    zip_alternatestring

    Zip/Postal Code of the resident's secondary/alternate address

    notesstring

    Notes associated with the resident

    custom_data objectdeprecated
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/rentmanager/:resident_id
curl -X PUT https://api.propexo.com/v1/residents/rentmanager/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"rent_period": "MONTHLY",
"rent_due_day": 0
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"last_name": "string",
"rent_period": "MONTHLY",
"rent_due_day": 0,
"first_name": "string",
"middle_name": "string",
"email_1": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"address_1_alternate": "string",
"city_alternate": "string",
"state_alternate": "string",
"zip_alternate": "string",
"notes": "string"
}
}